extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "soulhp:arishem_layer1",
    "layer2": "soulhp:arishem_layer2",
    "lights": "soulhp:arishem_lights",
});

var utils = implement("fiskheroes:external/utils");


function init(renderer) {
    parent.init(renderer);
    renderer.setLights((entity, renderLayer) => renderLayer == "LEGGINGS" ? "lights" : null);

    renderer.showModel("LEGGINGS", "head", "headwear", "body", "rightArm", "leftArm", "rightLeg", "leftLeg");
    renderer.fixHatLayer("CHESTPLATE");
}

function initEffects(renderer) {


    utils.bindTrail(renderer, "soulhp:arishem");
    utils.bindBeam(renderer, "fiskheroes:energy_projection", "fiskheroes:energy_projection", "body", 0x8B0000, [
        {"offset": [0.0, -5.0], "size": [4.0, 4.0] }]);
    // utils.bindCloud(renderer, "fiskheroes:teleportation", "soulhp:arishem");


renderer.setItemIcons("%s_0", "%s_1", "%s_2", "%s_3");
renderer.showModel("HELMET", "head", "headwear");
renderer.showModel("CHESTPLATE", "body", "rightArm", "leftArm");
renderer.showModel("LEGGINGS", "rightLeg", "leftLeg");
renderer.showModel("BOOTS", "rightLeg", "leftLeg");


}


